class_name SE_StateFrame
extends Resource


export (String) var state_name
export(int) var frame_number = 0

## Editor will enumerate 
enum TYPE {FRAME_ONE_SHOT, LOOPING, NONE = -1}
export(TYPE) var sound_effect_type = TYPE.FRAME_ONE_SHOT
export (AudioStreamSample) var sound
